1. Taobao Order Manage
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
    • Taobao Logistics
      • API for China Domestic Shipping Cost
    • Taobao Order Manage
      • Product Bunker interface
        GET
      • API for Creating Preview Order
        POST
      • API for Creating Formal Order
        POST
      • API for Canceling Formal Order
        POST
      • API for Querying Order Details
        POST
      • API for Auto Payment of Order
        POST
    • Taobao Message Service
      • Callback Message Signature Verification Specification
      • Order Status Update Message
      • Order Price Change Message
  1. Taobao Order Manage

API for Creating Preview Order

POST
/taobao/purchase/order/render
Product Preview Interface. You can obtain accurate prices and domestic shipping costs through this interface. Before calling the Product Preview Interface, please call the Credential Stuffing Interface first (use mpId for itemId and mpSkuid for skuId).

Request

Body Params application/json

Examples

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/purchase/order/render' \
--header 'Content-Type: application/json' \
--data '{
    "appKey": "",
    "appSecret": "",
    "need_supplychain_service": false,
    "receiver_address": {
        "country": "中国",
        "state": "浙江省",
        "city": "杭州市",
        "district": "滨江区",
        "address": "网商路699号",
        "zip": "000000",
        "name": "张三",
        "phone": "1234567890",
        "mobile_phone": "1234567890"
    },
    "warehouse_address": {
        "country": "中国",
        "state": "浙江省",
        "city": "杭州市",
        "district": "滨江区",
        "address": "网商路699号",
        "zip": "000000",
        "name": "张三",
        "phone": "1234567890",
        "mobile_phone": "1234567890"
    },
    "render_item_List": "[{\"itemId\":4096158991847928,\"quantity\":\"1\",\"skuId\":27167887472120}]"
}'
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "result": {
            "data": {
                "totalRealPayPrice": {
                    "amount": 1890,
                    "currency": "CNY"
                },
                "unavailableSkuList": [],
                "renderItemList": [
                    {
                        "nick": "得力盈达专卖店",
                        "itemPriceInfos": [
                            {
                                "itemId": 4096158991847928,
                                "deliveryFee": 0,
                                "quantity": 1,
                                "estimatedDeliveryTime": "承诺今天发货,预计明天送达",
                                "dispatchPlace": "江苏南京",
                                "discountPrice": {
                                    "amount": 2360,
                                    "currency": "CNY"
                                },
                                "originPrice": {
                                    "amount": 2360,
                                    "currency": "CNY"
                                },
                                "currencyCode": "CNY",
                                "skuId": 27167887472120
                            }
                        ],
                        "sellerId": 4174440595,
                        "mainlandShippingFee": {
                            "amount": 0,
                            "currency": "CNY"
                        },
                        "orderFee": {
                            "amount": 1890,
                            "currency": "CNY"
                        },
                        "chooseSupplyChainServices": []
                    }
                ]
            },
            "success": true
        },
        "code": "0",
        "requestId": "2140f97b17853903751526421",
        "TraceId": "21015e6817853903751517692ea3b8"
    },
    "timestamp": 1785390377543,
    "traceId": "36f449043497",
    "cost": 0
}
Previous
Product Bunker interface
Next
API for Creating Formal Order
Built with